[unixODBC-dev] Segfault when utilizing libodbc with Asterisk

Tom Lane tgl at sss.pgh.pa.us
Fri May 18 18:57:49 BST 2007


"Leif Madsen" <leif.madsen at gmail.com> writes:
> Actually I may have been incorrect in stating that. I was not using
> the postgresql-odbc package, just the straight unixODBC and
> unixODBC-devel package.

My recommendation is to use the postgresql-odbc package; that version of
psqlodbc is a whole lot newer than the one included in unixODBC.  I've
actually considered stripping the included psql (and mysql) drivers from
the Red Hat unixODBC package entirely.  I've been meaning to ask what
the long-term plan is for the included drivers --- since development on
those seems to be separate now, what is the reason for still including
them in the unixODBC distribution?

(And I do have to apologize to Nick for not being more proactive about
passing Red Hat patches back to him.  I don't think it's a GPL
violation, since we are providing the patch sources to anyone who cares
to look, but as a matter of politeness we ought to notify upstream
developers whenever we make a patch that might be of interest to them.)

			regards, tom lane



More information about the unixODBC-dev mailing list